package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class MenuRecipeDetailV2DTO extends PageDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

}
